/*Places the overlay over the entire page*/
.ddLoadingIndicatorOverlayFull{
     display: none;
     position: fixed;
     left: 0;
     top: 0;
     width:100%;
     height:100%;
     text-align: center;
     z-index: 100000;
     background-color: rgba(0, 0, 0, 0.48);
}

/*Loading indicator overlay*/
.ddLoadingIndicatorOverlay{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.48);
    display: none;
    z-index: 100000;
}
.ddLoadingIndicatorOverlay:before {
    content: '';
    display: inline-block;
    height: 100%;
    vertical-align: middle;
    margin-right: -0.25em;
}

/*Loading indicator container*/
.ddLoadingIndicatorDiv{
    display: inline-block;
    background-color: transparent;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    text-align:center;
    vertical-align: middle;
}

/*Loading indicator gif*/
.ddLoadingIndicatorImg{
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    width: 128px;
    height: 15px;
}

.ddLoadingIndicatorText {
    position: absolute;
    top: 15%;
    bottom: 0;
    left: 35%;
    right: 0;
    background-color: #fff;
    width: 480px;
    height: 20px;
    font-size: 14px;
    padding: 20px;
    z-index: 20000000;
    border-radius: 3px;
    text-align:center;
}